package net.minecraft.client.model;

public final class TexturedQuad {
    public PositionTextureVertex[] vertexPositions;
    
    private TexturedQuad(final PositionTextureVertex[] arr) {
        this.vertexPositions = arr;
    }
    
    public TexturedQuad(final PositionTextureVertex[] arr, final int integer2, final int integer3, final int integer4, final int integer5) {
        this(arr);
        arr[0] = arr[0].setTexturePosition(integer4 / 64.0f - 0.0015625f, integer3 / 32.0f + 0.003125f);
        arr[1] = arr[1].setTexturePosition(integer2 / 64.0f + 0.0015625f, integer3 / 32.0f + 0.003125f);
        arr[2] = arr[2].setTexturePosition(integer2 / 64.0f + 0.0015625f, integer5 / 32.0f - 0.003125f);
        arr[3] = arr[3].setTexturePosition(integer4 / 64.0f - 0.0015625f, integer5 / 32.0f - 0.003125f);
    }
}
