package net.minecraft.client.renderer.entity;

import org.lwjgl.opengl.GL11;
import net.minecraft.game.MathHelper;
import net.minecraft.game.entity.monster.EntityCreeper;
import net.minecraft.game.entity.EntityLiving;
import net.minecraft.client.model.ModelBase;
import net.minecraft.client.model.ModelCreeper;

public final class RenderCreeper extends RenderLiving {
    public RenderCreeper() {
        super(new ModelCreeper(), 0.5f);
    }
    
    public final int getColorMultiplier(EntityLiving entity, double f, double f2) {
        int i = 255;
        int i2 = 0;
        double c = ((EntityCreeper) entity).setCreeperFlashTime(f2);
        if (((int) (10.0f * c)) % 2 == 0) {
            return 0;
        }
        int i3 = (int) (c * 0.2f * 255.0f);
        if (i3 >= 0) {
            i2 = i3;
        }
        if (i2 <= 255) {
            i = i2;
        }
        return (i << 24) | 16711680 | 65280 | 255;
    }

    public final void preRenderCallback(EntityLiving entity, double f) {
        double f2 = 0.0f;
        double c = ((EntityCreeper) entity).setCreeperFlashTime(f);
        double a = (MathHelper.sin(100.0f * c) * c * 0.01f) + 1.0f;
        if (c >= 0.0f) {
            f2 = c;
        }
        if (f2 > 1.0f) {
            f2 = 1.0f;
        }
        double f3 = f2 * f2;
        double f4 = f3 * f3;
        double f5 = ((0.4f * f4) + 1.0f) * a;
        GL11.glScaled(f5, ((f4 * 0.1f) + 1.0f) / a, f5);
    }
}
