package net.minecraft.client.renderer.entity;

import org.lwjgl.opengl.GL11;
import net.minecraft.game.entity.Entity;

public final class RenderEntity extends Render {
    @Override
    public final void doRender(final Entity entity, final double double2, final double double3, final double double4, final double double5, final double double6) {
        GL11.glPushMatrix();
        GL11.glTranslated(double2 - entity.lastTickPosX, double3 - entity.lastTickPosY, double4 - entity.lastTickPosZ);
        Render.renderOffsetAABB(entity.boundingBox);
        GL11.glPopMatrix();
    }
}
