package net.minecraft.client.renderer.entity;

import net.minecraft.game.block.Block;
import org.lwjgl.opengl.GL11;
import net.minecraft.game.entity.other.EntityTNT;
import net.minecraft.game.entity.Entity;
import net.minecraft.client.renderer.RenderBlocks;

public final class RenderTNTPrimed extends Render {
    private RenderBlocks blockRenderer;
    
    public RenderTNTPrimed() {
        this.blockRenderer = new RenderBlocks();
        this.shadowSize = 0.5f;
    }
    
    public final void doRender(Entity entity, double f, double f2, double f3, double f4, double f5) {
        double f6 = 0.0f;
        EntityTNT tnt = (EntityTNT) entity;
        GL11.glPushMatrix();
        GL11.glTranslated(f, f2, f3);
        if ((((double) tnt.fuse) - f5) + 1.0f < 10.0f) {
            double f7 = 1.0f - (((((double) tnt.fuse) - f5) + 1.0f) / 10.0f);
            if (f7 >= 0.0f) {
                f6 = f7;
            }
            if (f6 > 1.0f) {
                f6 = 1.0f;
            }
            double f8 = f6 * f6;
            double f9 = (f8 * f8 * 0.3f) + 1.0f;
            GL11.glScaled(f9, f9, f9);
        }
        double f10 = (1.0f - (((((double) tnt.fuse) - f5) + 1.0f) / 100.0f)) * 0.8f;
        loadTexture("/terrain.png");
        this.blockRenderer.renderBlockOnInventory(Block.tnt);
        if ((tnt.fuse / 5) % 2 == 0) {
            GL11.glDisable(3553);
            GL11.glDisable(2896);
            GL11.glEnable(3042);
            GL11.glBlendFunc(770, 772);
            GL11.glColor4d(1.0f, 1.0f, 1.0f, f10);
            this.blockRenderer.renderBlockOnInventory(Block.tnt);
            GL11.glColor4d(1.0f, 1.0f, 1.0f, 1.0f);
            GL11.glDisable(3042);
            GL11.glEnable(2896);
            GL11.glEnable(3553);
        }
        GL11.glPopMatrix();
    }
}
