package net.minecraft.game.item;

import net.minecraft.game.entity.player.EntityPlayer;
import net.minecraft.game.block.Block;
import net.minecraft.game.level.World;
import java.util.Random;

public class Item {
    protected static Random itemRand;
    public static Item[] itemsList;
    public static Item shovelSteel;
    public static Item pickaxeSteel;
    public static Item axeSteel;
    public static Item flintAndSteel;
    public static Item bow;
    public static Item arrow;
    public static Item coal;
    public static Item diamond;
    public static Item ingotIron;
    public static Item ingotGold;
    public static Item swordSteel;
    public static Item swordWood;
    public static Item shovelWood;
    public static Item pickaxeWood;
    public static Item axeWood;
    public static Item swordStone;
    public static Item shovelStone;
    public static Item pickaxeStone;
    public static Item axeStone;
    public static Item swordDiamond;
    public static Item shovelDiamond;
    public static Item pickaxeDiamond;
    public static Item axeDiamond;
    public static Item stick;
    public static Item bowlEmpty;
    public static Item bowlSoup;
    public static Item swordGold;
    public static Item shovelGold;
    public static Item pickaxeGold;
    public static Item axeGold;
    public static Item silk;
    public static Item feather;
    public static Item gunpowder;
    public static Item hoeWood;
    public static Item hoeStone;
    public static Item hoeSteel;
    public static Item hoeDiamond;
    public static Item hoeGold;
    public static Item seeds;
    public static Item wheat;
    public static Item bread;
    public static Item helmetLeather;
    public static Item plateLeather;
    public static Item legsLeather;
    public static Item bootsLeather;
    public static Item helmetChain;
    public static Item plateChain;
    public static Item legsChain;
    public static Item bootsChain;
    public static Item helmetSteel;
    public static Item plateSteel;
    public static Item legsSteel;
    public static Item bootsSteel;
    public static Item helmetDiamond;
    public static Item plateDiamond;
    public static Item legsDiamond;
    public static Item bootsDiamond;
    public static Item helmetGold;
    public static Item plateGold;
    public static Item legsGold;
    public static Item bootsGold;
    public static Item flint;
    public static Item porkRaw;
    public static Item porkCooked;
    public static Item painting;
    public final int shiftedIndex;
    protected int maxStackSize;
    protected int maxDamage;
    protected int iconIndex;
    
    protected Item(final int itemID) {
        this.maxStackSize = 64;
        this.maxDamage = 32;
        this.shiftedIndex = itemID + 256;
        if (Item.itemsList[itemID + 256] != null) {
            System.out.println(new StringBuilder().append("CONFLICT @ ").append(itemID).toString());
        }
        Item.itemsList[itemID + 256] = this;
    }
    
    public final Item setIconIndex(final int integer) {
        this.iconIndex = integer;
        return this;
    }
    
    public final int getIconFromDamage() {
        return this.iconIndex;
    }
    
    public boolean onItemUse(final ItemStack itemStack, final World world, final long integer3, final long integer4, final long integer5, final int integer6) {
        return false;
    }
    
    public double getStrVsBlock(final Block block) {
        return 1.0f;
    }
    
    public ItemStack onItemRightClick(final ItemStack itemStack, final World world, final EntityPlayer entityPlayer) {
        return itemStack;
    }
    
    public final int getItemStackLimit() {
        return this.maxStackSize;
    }
    
    public final int getMaxDamage() {
        return this.maxDamage;
    }
    
    public void hitEntity(final ItemStack itemStack) {
    }
    
    public void onBlockDestroyed(final ItemStack itemStack) {
    }
    
    public int getDamageVsEntity() {
        return 1;
    }
    
    public boolean canHarvestBlock(final Block block) {
        return false;
    }
    
    static {
        Item.itemRand = new Random();
        Item.itemsList = new Item[1024];
        final ItemSpade itemSpade = new ItemSpade(0, 2);
        int n = 82;
        final ItemSpade shovelSteel = itemSpade;
        itemSpade.iconIndex = n;
        Item.shovelSteel = shovelSteel;
        final ItemPickaxe itemPickaxe = new ItemPickaxe(1, 2);
        n = 98;
        final ItemPickaxe pickaxeSteel = itemPickaxe;
        itemPickaxe.iconIndex = n;
        Item.pickaxeSteel = pickaxeSteel;
        final ItemAxe itemAxe = new ItemAxe(2, 2);
        n = 114;
        final ItemAxe axeSteel = itemAxe;
        itemAxe.iconIndex = n;
        Item.axeSteel = axeSteel;
        final ItemFlintAndSteel itemFlintAndSteel = new ItemFlintAndSteel(3);
        n = 5;
        final ItemFlintAndSteel flintAndSteel = itemFlintAndSteel;
        itemFlintAndSteel.iconIndex = n;
        Item.flintAndSteel = flintAndSteel;
        final ItemFood itemFood = new ItemFood(4, 4);
        n = 4;
        itemFood.iconIndex = 10;
        final ItemBow itemBow = new ItemBow(5);
        n = 21;
        final ItemBow bow = itemBow;
        itemBow.iconIndex = n;
        Item.bow = bow;
        final Item item = new Item(6);
        n = 37;
        final Item arrow = item;
        item.iconIndex = n;
        Item.arrow = arrow;
        final Item item2 = new Item(7);
        n = 7;
        final Item coal = item2;
        item2.iconIndex = n;
        Item.coal = coal;
        final Item item3 = new Item(8);
        n = 55;
        final Item diamond = item3;
        item3.iconIndex = n;
        Item.diamond = diamond;
        final Item item4 = new Item(9);
        n = 23;
        final Item ingotIron = item4;
        item4.iconIndex = n;
        Item.ingotIron = ingotIron;
        final Item item5 = new Item(10);
        n = 39;
        final Item ingotGold = item5;
        item5.iconIndex = n;
        Item.ingotGold = ingotGold;
        final ItemSword itemSword = new ItemSword(11, 2);
        n = 66;
        final ItemSword swordSteel = itemSword;
        itemSword.iconIndex = n;
        Item.swordSteel = swordSteel;
        final ItemSword itemSword2 = new ItemSword(12, 0);
        n = 64;
        final ItemSword swordWood = itemSword2;
        itemSword2.iconIndex = n;
        Item.swordWood = swordWood;
        final ItemSpade itemSpade2 = new ItemSpade(13, 0);
        n = 80;
        final ItemSpade shovelWood = itemSpade2;
        itemSpade2.iconIndex = n;
        Item.shovelWood = shovelWood;
        final ItemPickaxe itemPickaxe2 = new ItemPickaxe(14, 0);
        n = 96;
        final ItemPickaxe pickaxeWood = itemPickaxe2;
        itemPickaxe2.iconIndex = n;
        Item.pickaxeWood = pickaxeWood;
        final ItemAxe itemAxe2 = new ItemAxe(15, 0);
        n = 112;
        final ItemAxe axeWood = itemAxe2;
        itemAxe2.iconIndex = n;
        Item.axeWood = axeWood;
        final ItemSword itemSword3 = new ItemSword(16, 1);
        n = 65;
        final ItemSword swordStone = itemSword3;
        itemSword3.iconIndex = n;
        Item.swordStone = swordStone;
        final ItemSpade itemSpade3 = new ItemSpade(17, 1);
        n = 81;
        final ItemSpade shovelStone = itemSpade3;
        itemSpade3.iconIndex = n;
        Item.shovelStone = shovelStone;
        final ItemPickaxe itemPickaxe3 = new ItemPickaxe(18, 1);
        n = 97;
        final ItemPickaxe pickaxeStone = itemPickaxe3;
        itemPickaxe3.iconIndex = n;
        Item.pickaxeStone = pickaxeStone;
        final ItemAxe itemAxe3 = new ItemAxe(19, 1);
        n = 113;
        final ItemAxe axeStone = itemAxe3;
        itemAxe3.iconIndex = n;
        Item.axeStone = axeStone;
        final ItemSword itemSword4 = new ItemSword(20, 3);
        n = 67;
        final ItemSword swordDiamond = itemSword4;
        itemSword4.iconIndex = n;
        Item.swordDiamond = swordDiamond;
        final ItemSpade itemSpade4 = new ItemSpade(21, 3);
        n = 83;
        final ItemSpade shovelDiamond = itemSpade4;
        itemSpade4.iconIndex = n;
        Item.shovelDiamond = shovelDiamond;
        final ItemPickaxe itemPickaxe4 = new ItemPickaxe(22, 3);
        n = 99;
        final ItemPickaxe pickaxeDiamond = itemPickaxe4;
        itemPickaxe4.iconIndex = n;
        Item.pickaxeDiamond = pickaxeDiamond;
        final ItemAxe itemAxe4 = new ItemAxe(23, 3);
        n = 115;
        final ItemAxe axeDiamond = itemAxe4;
        itemAxe4.iconIndex = n;
        Item.axeDiamond = axeDiamond;
        final Item item6 = new Item(24);
        n = 53;
        final Item stick = item6;
        item6.iconIndex = n;
        Item.stick = stick;
        final Item item7 = new Item(25);
        n = 71;
        final Item bowlEmpty = item7;
        item7.iconIndex = n;
        Item.bowlEmpty = bowlEmpty;
        final ItemSoup itemSoup = new ItemSoup(26, 10);
        n = 72;
        final ItemSoup bowlSoup = itemSoup;
        itemSoup.iconIndex = n;
        Item.bowlSoup = bowlSoup;
        final ItemSword itemSword5 = new ItemSword(27, 0);
        n = 68;
        final ItemSword swordGold = itemSword5;
        itemSword5.iconIndex = n;
        Item.swordGold = swordGold;
        final ItemSpade itemSpade5 = new ItemSpade(28, 0);
        n = 84;
        final ItemSpade shovelGold = itemSpade5;
        itemSpade5.iconIndex = n;
        Item.shovelGold = shovelGold;
        final ItemPickaxe itemPickaxe5 = new ItemPickaxe(29, 0);
        n = 100;
        final ItemPickaxe pickaxeGold = itemPickaxe5;
        itemPickaxe5.iconIndex = n;
        Item.pickaxeGold = pickaxeGold;
        final ItemAxe itemAxe5 = new ItemAxe(30, 0);
        n = 116;
        final ItemAxe axeGold = itemAxe5;
        itemAxe5.iconIndex = n;
        Item.axeGold = axeGold;
        final Item item8 = new Item(31);
        n = 8;
        final Item silk = item8;
        item8.iconIndex = n;
        Item.silk = silk;
        final Item item9 = new Item(32);
        n = 24;
        final Item feather = item9;
        item9.iconIndex = n;
        Item.feather = feather;
        final Item item10 = new Item(33);
        n = 40;
        final Item gunpowder = item10;
        item10.iconIndex = n;
        Item.gunpowder = gunpowder;
        final ItemHoe itemHoe = new ItemHoe(34, 0);
        n = 128;
        final ItemHoe hoeWood = itemHoe;
        itemHoe.iconIndex = n;
        Item.hoeWood = hoeWood;
        final ItemHoe itemHoe2 = new ItemHoe(35, 1);
        n = 129;
        final ItemHoe hoeStone = itemHoe2;
        itemHoe2.iconIndex = n;
        Item.hoeStone = hoeStone;
        final ItemHoe itemHoe3 = new ItemHoe(36, 2);
        n = 130;
        final ItemHoe hoeSteel = itemHoe3;
        itemHoe3.iconIndex = n;
        Item.hoeSteel = hoeSteel;
        final ItemHoe itemHoe4 = new ItemHoe(37, 3);
        n = 131;
        final ItemHoe hoeDiamond = itemHoe4;
        itemHoe4.iconIndex = n;
        Item.hoeDiamond = hoeDiamond;
        final ItemHoe itemHoe5 = new ItemHoe(38, 4);
        n = 132;
        final ItemHoe hoeGold = itemHoe5;
        itemHoe5.iconIndex = n;
        Item.hoeGold = hoeGold;
        final ItemSeeds itemSeeds = new ItemSeeds(39, Block.crops.blockID);
        n = 9;
        final ItemSeeds seeds = itemSeeds;
        itemSeeds.iconIndex = n;
        Item.seeds = seeds;
        final Item item11 = new Item(40);
        n = 25;
        final Item wheat = item11;
        item11.iconIndex = n;
        Item.wheat = wheat;
        final ItemFood itemFood2 = new ItemFood(41, 5);
        n = 41;
        final ItemFood bread = itemFood2;
        itemFood2.iconIndex = n;
        Item.bread = bread;
        final ItemArmor itemArmor = new ItemArmor(42, 0, 0, 0);
        final int iconIndex = 0;
        final ItemArmor helmetLeather = itemArmor;
        itemArmor.iconIndex = iconIndex;
        Item.helmetLeather = helmetLeather;
        final ItemArmor itemArmor2 = new ItemArmor(43, 0, 0, 1);
        int iconIndex2 = 16;
        final ItemArmor plateLeather = itemArmor2;
        itemArmor2.iconIndex = iconIndex2;
        Item.plateLeather = plateLeather;
        final ItemArmor itemArmor3 = new ItemArmor(44, 0, 0, 2);
        iconIndex2 = 32;
        final ItemArmor legsLeather = itemArmor3;
        itemArmor3.iconIndex = iconIndex2;
        Item.legsLeather = legsLeather;
        final ItemArmor itemArmor4 = new ItemArmor(45, 0, 0, 3);
        iconIndex2 = 48;
        final ItemArmor bootsLeather = itemArmor4;
        itemArmor4.iconIndex = iconIndex2;
        Item.bootsLeather = bootsLeather;
        final ItemArmor itemArmor5 = new ItemArmor(46, 1, 1, 0);
        final int iconIndex3 = 1;
        final ItemArmor helmetChain = itemArmor5;
        itemArmor5.iconIndex = iconIndex3;
        Item.helmetChain = helmetChain;
        final ItemArmor itemArmor6 = new ItemArmor(47, 1, 1, 1);
        int iconIndex4 = 17;
        final ItemArmor plateChain = itemArmor6;
        itemArmor6.iconIndex = iconIndex4;
        Item.plateChain = plateChain;
        final ItemArmor itemArmor7 = new ItemArmor(48, 1, 1, 2);
        iconIndex4 = 33;
        final ItemArmor legsChain = itemArmor7;
        itemArmor7.iconIndex = iconIndex4;
        Item.legsChain = legsChain;
        final ItemArmor itemArmor8 = new ItemArmor(49, 1, 1, 3);
        iconIndex4 = 49;
        final ItemArmor bootsChain = itemArmor8;
        itemArmor8.iconIndex = iconIndex4;
        Item.bootsChain = bootsChain;
        final ItemArmor itemArmor9 = new ItemArmor(50, 2, 2, 0);
        iconIndex4 = 2;
        final ItemArmor helmetSteel = itemArmor9;
        itemArmor9.iconIndex = iconIndex4;
        Item.helmetSteel = helmetSteel;
        final ItemArmor itemArmor10 = new ItemArmor(51, 2, 2, 1);
        iconIndex4 = 18;
        final ItemArmor plateSteel = itemArmor10;
        itemArmor10.iconIndex = iconIndex4;
        Item.plateSteel = plateSteel;
        final ItemArmor itemArmor11 = new ItemArmor(52, 2, 2, 2);
        iconIndex4 = 34;
        final ItemArmor legsSteel = itemArmor11;
        itemArmor11.iconIndex = iconIndex4;
        Item.legsSteel = legsSteel;
        final ItemArmor itemArmor12 = new ItemArmor(53, 2, 2, 3);
        iconIndex4 = 50;
        final ItemArmor bootsSteel = itemArmor12;
        itemArmor12.iconIndex = iconIndex4;
        Item.bootsSteel = bootsSteel;
        final ItemArmor itemArmor13 = new ItemArmor(54, 3, 3, 0);
        iconIndex4 = 3;
        final ItemArmor helmetDiamond = itemArmor13;
        itemArmor13.iconIndex = iconIndex4;
        Item.helmetDiamond = helmetDiamond;
        final ItemArmor itemArmor14 = new ItemArmor(55, 3, 3, 1);
        iconIndex4 = 19;
        final ItemArmor plateDiamond = itemArmor14;
        itemArmor14.iconIndex = iconIndex4;
        Item.plateDiamond = plateDiamond;
        final ItemArmor itemArmor15 = new ItemArmor(56, 3, 3, 2);
        iconIndex4 = 35;
        final ItemArmor legsDiamond = itemArmor15;
        itemArmor15.iconIndex = iconIndex4;
        Item.legsDiamond = legsDiamond;
        final ItemArmor itemArmor16 = new ItemArmor(57, 3, 3, 3);
        iconIndex4 = 51;
        final ItemArmor bootsDiamond = itemArmor16;
        itemArmor16.iconIndex = iconIndex4;
        Item.bootsDiamond = bootsDiamond;
        final ItemArmor itemArmor17 = new ItemArmor(58, 1, 4, 0);
        iconIndex4 = 4;
        final ItemArmor helmetGold = itemArmor17;
        itemArmor17.iconIndex = iconIndex4;
        Item.helmetGold = helmetGold;
        final ItemArmor itemArmor18 = new ItemArmor(59, 1, 4, 1);
        iconIndex4 = 20;
        final ItemArmor plateGold = itemArmor18;
        itemArmor18.iconIndex = iconIndex4;
        Item.plateGold = plateGold;
        final ItemArmor itemArmor19 = new ItemArmor(60, 1, 4, 2);
        iconIndex4 = 36;
        final ItemArmor legsGold = itemArmor19;
        itemArmor19.iconIndex = iconIndex4;
        Item.legsGold = legsGold;
        final ItemArmor itemArmor20 = new ItemArmor(61, 1, 4, 3);
        iconIndex4 = 52;
        final ItemArmor bootsGold = itemArmor20;
        itemArmor20.iconIndex = iconIndex4;
        Item.bootsGold = bootsGold;
        final Item item12 = new Item(62);
        iconIndex4 = 6;
        final Item flint = item12;
        item12.iconIndex = iconIndex4;
        Item.flint = flint;
        final ItemFood itemFood3 = new ItemFood(63, 3);
        iconIndex4 = 87;
        final ItemFood porkRaw = itemFood3;
        itemFood3.iconIndex = iconIndex4;
        Item.porkRaw = porkRaw;
        final ItemFood itemFood4 = new ItemFood(64, 8);
        iconIndex4 = 88;
        final ItemFood porkCooked = itemFood4;
        itemFood4.iconIndex = iconIndex4;
        Item.porkCooked = porkCooked;
        final ItemPainting itemPainting = new ItemPainting(65);
        iconIndex4 = 26;
        final ItemPainting painting = itemPainting;
        itemPainting.iconIndex = iconIndex4;
        Item.painting = painting;
    }
}
