package net.minecraft.game.item;

import net.minecraft.game.block.Block;
import net.minecraft.game.level.World;

public final class ItemFlintAndSteel extends Item {
    public ItemFlintAndSteel(final int itemID) {
        super(3);
        this.maxStackSize = 1;
        this.maxDamage = 64;
    }
    
    @Override
    public final boolean onItemUse(final ItemStack itemStack, final World world, long integer3, long integer4, long integer5, int integer6) {
        if (integer6 == 0) {
            --integer4;
        }
        if (integer6 == 1) {
            ++integer4;
        }
        if (integer6 == 2) {
            --integer5;
        }
        if (integer6 == 3) {
            ++integer5;
        }
        if (integer6 == 4) {
            --integer3;
        }
        if (integer6 == 5) {
            ++integer3;
        }
        if ((integer6 = world.getBlockId(integer3, integer4, integer5)) == 0) {
            world.playSoundAtPlayer(integer3 + 0.5f, integer4 + 0.5f, integer5 + 0.5f, "fire.ignite", 1.0f, ItemFlintAndSteel.itemRand.nextDouble() * 0.4f + 0.8f);
            world.setBlockWithNotify(integer3, integer4, integer5, Block.fire.blockID);
        }
        itemStack.damageItem(1);
        return true;
    }
}
