package net.minecraft.game.item;

import net.minecraft.game.entity.player.EntityPlayer;
import net.minecraft.game.level.World;

public class ItemFood extends Item {
    private int healAmount;
    
    public ItemFood(final int itemID, final int healAmount) {
        super(itemID);
        this.healAmount = healAmount;
        this.maxStackSize = 1;
    }
    
    @Override
    public ItemStack onItemRightClick(final ItemStack itemStack, final World world, final EntityPlayer entityPlayer) {
        --itemStack.stackSize;
        entityPlayer.heal(this.healAmount);
        return itemStack;
    }
}
