package net.minecraft.game.item;

import net.minecraft.game.entity.Entity;
import net.minecraft.game.entity.other.EntityPainting;
import net.minecraft.game.level.World;

public final class ItemPainting extends Item {
    public ItemPainting(final int itemID) {
        super(65);
        this.maxDamage = 64;
    }
    
    @Override
    public final boolean onItemUse(final ItemStack itemStack, final World world, final long integer3, final long integer4, final long integer5, final int integer6) {
        if (integer6 == 0) {
            return false;
        }
        if (integer6 == 1) {
            return false;
        }
        int integer7 = 0;
        if (integer6 == 4) {
            integer7 = 1;
        }
        if (integer6 == 3) {
            integer7 = 2;
        }
        if (integer6 == 5) {
            integer7 = 3;
        }
        final EntityPainting entity;
        if ((entity = new EntityPainting(world, integer3, integer4, integer5, integer7)).onValidSurface()) {
            world.entityJoinedWorld(entity);
            --itemStack.stackSize;
        }
        return true;
    }
}
