package net.minecraft.game.item;

import net.minecraft.game.block.Block;
import net.minecraft.game.level.World;

public final class ItemSeeds extends Item {
    private int blockType;
    
    public ItemSeeds(final int itemID, final int blockID) {
        super(39);
        this.blockType = blockID;
    }
    
    @Override
    public final boolean onItemUse(final ItemStack itemStack, final World world, final long integer3, final long integer4, final long integer5, int integer6) {
        if (integer6 != 1) {
            return false;
        }
        if ((integer6 = world.getBlockId(integer3, integer4, integer5)) == Block.tilledField.blockID) {
            world.setBlockWithNotify(integer3, integer4 + 1, integer5, this.blockType);
            --itemStack.stackSize;
            return true;
        }
        return false;
    }
}
