package net.minecraft.game.level;

import net.minecraft.game.entity.EntityLiving;
import net.minecraft.game.entity.animal.EntitySheep;
import net.minecraft.game.entity.animal.EntityPig;
import net.minecraft.game.entity.animal.EntityAnimals;
import net.minecraft.game.entity.Entity;
import net.minecraft.game.entity.monster.EntityZombie;
import net.minecraft.game.entity.monster.EntitySpider;
import net.minecraft.game.entity.monster.EntityCreeper;
import net.minecraft.game.entity.monster.EntitySkeleton;
import net.minecraft.game.entity.monster.EntityMonster;

public class MobSpawner {
    private World worldObj;
    
    public MobSpawner(final World world) {
        this.worldObj = world;
    }
    
    public final void spawn() {
        /*int i = (i = this.worldObj.width * this.worldObj.length * this.worldObj.height * 20 / 64 / 64 / 64) / 2;
        if (this.worldObj.difficultySetting == 0) {
            i = 0 / 4;
        }
        if (this.worldObj.difficultySetting == 1) {
            i = i * 3 / 4;
        }
        if (this.worldObj.difficultySetting == 2) {
            i = (i << 2) / 4;
        }
        if (this.worldObj.difficultySetting == 3) {
            i = i * 6 / 4;
        }
        final int n = this.worldObj.width * this.worldObj.length / 4000;
        int entitiesInLevelList = this.worldObj.entitiesInLevelList(EntityMonster.class);
        for (int j = 0; j < 4; ++j) {
            if (entitiesInLevelList < i) {
                final int n2 = entitiesInLevelList;
                final EntityLiving player = this.worldObj.player;
                int n3 = 0;
                final int n4 = this.worldObj.random.nextInt(5);
                final int n5 = this.worldObj.random.nextInt(this.worldObj.width);
                final int nextInt = (int)(Math.min(this.worldObj.random.nextDouble(), this.worldObj.random.nextDouble()) * this.worldObj.height);
                final int n6 = this.worldObj.random.nextInt(this.worldObj.length);
                for (int k = 0; k < 2; ++k) {
                    int n7 = n5;
                    int n8 = nextInt;
                    int n9 = n6;
                    for (int l = 0; l < 3; ++l) {
                        n7 += this.worldObj.random.nextInt(6) - this.worldObj.random.nextInt(6);
                        n8 += this.worldObj.random.nextInt(1) - this.worldObj.random.nextInt(1);
                        n9 += this.worldObj.random.nextInt(6) - this.worldObj.random.nextInt(6);
                        if (n7 >= 0 && n9 > 0 && n8 >= 0 && n8 < this.worldObj.height - 2 && n7 < this.worldObj.width && n9 < this.worldObj.length) {
                            final double n10 = n7 + 0.5f;
                            final double n11 = n8 + 0.5f;
                            final double n12 = n9 + 0.5f;
                            if (player != null) {
                                double n13 = n10 - player.posX;
                                final double n14 = n11 - player.posY;
                                final double n15 = n12 - player.posZ;
                                if ((n13 = n13 * n13 + n14 * n14 + n15 * n15) < 1024.0f) {
                                    continue;
                                }
                            }
                            else {
                                double n13 = n10 - this.worldObj.xSpawn;
                                final double n14 = n11 - this.worldObj.ySpawn;
                                final double n15 = n12 - this.worldObj.zSpawn;
                                if ((n13 = n13 * n13 + n14 * n14 + n15 * n15) < 1024.0f) {
                                    continue;
                                }
                            }
                            EntityLiving entity = null;
                            if (n4 == 0) {
                                entity = new EntitySkeleton(this.worldObj);
                            }
                            if (n4 == 1) {
                                entity = new EntityCreeper(this.worldObj);
                            }
                            if (n4 == 2) {
                                entity = new EntitySpider(this.worldObj);
                            }
                            if (n4 == 3) {
                                entity = new EntityZombie(this.worldObj);
                            }
                            if (entity instanceof EntityMonster && this.worldObj.difficultySetting == 0) {
                                entity = null;
                            }
                            if (entity != null && !this.worldObj.isBlockNormalCube(n7, n8, n9) && this.worldObj.isBlockNormalCube(n7, n8 - 1, n9) && entity.getCanSpawnHere(n10, n11, n12)) {
                                final double n15 = this.worldObj.random.nextDouble() * 360.0f;
                                entity.setPositionAndRotation(n10, n11, n12, n15, 0.0f);
                                ++n3;
                                this.worldObj.entityJoinedWorld(entity);
                            }
                        }
                    }
                }
                entitiesInLevelList = n2 + n3;
            }
        }
        int j = this.worldObj.entitiesInLevelList(EntityAnimals.class);
        for (i = 0; i < 4; ++i) {
            if (j < n) {
                final int n16 = j;
                final EntityLiving player2 = this.worldObj.player;
                int n3 = 0;
                final int n4 = this.worldObj.random.nextInt(2);
                final int n5 = this.worldObj.random.nextInt(this.worldObj.width);
                final int nextInt = this.worldObj.random.nextInt(this.worldObj.height);
                final int n6 = this.worldObj.random.nextInt(this.worldObj.length);
                for (int k = 0; k < 2; ++k) {
                    int n7 = n5;
                    int n8 = nextInt;
                    int n9 = n6;
                    for (int l = 0; l < 3; ++l) {
                        n7 += this.worldObj.random.nextInt(6) - this.worldObj.random.nextInt(6);
                        n8 += this.worldObj.random.nextInt(1) - this.worldObj.random.nextInt(1);
                        n9 += this.worldObj.random.nextInt(6) - this.worldObj.random.nextInt(6);
                        if (n7 >= 0 && n9 > 0 && n8 >= 0 && n8 < this.worldObj.height - 2 && n7 < this.worldObj.width && n9 < this.worldObj.length) {
                            final double n10 = n7 + 0.5f;
                            final double n11 = n8 + 0.5f;
                            final double n12 = n9 + 0.5f;
                            if (player2 != null) {
                                double n13 = n10 - player2.posX;
                                final double n14 = n11 - player2.posY;
                                final double n15 = n12 - player2.posZ;
                                if ((n13 = n13 * n13 + n14 * n14 + n15 * n15) < 1024.0f) {
                                    continue;
                                }
                            }
                            else {
                                double n13 = n10 - this.worldObj.xSpawn;
                                final double n14 = n11 - this.worldObj.ySpawn;
                                final double n15 = n12 - this.worldObj.zSpawn;
                                if ((n13 = n13 * n13 + n14 * n14 + n15 * n15) < 1024.0f) {
                                    continue;
                                }
                            }
                            EntityLiving entity2 = null;
                            if (n4 == 0) {
                                entity2 = new EntityPig(this.worldObj);
                            }
                            if (n4 == 1) {
                                entity2 = new EntitySheep(this.worldObj);
                            }
                            if (entity2 != null && !this.worldObj.isBlockNormalCube(n7, n8, n9) && this.worldObj.isBlockNormalCube(n7, n8 - 1, n9) && entity2.getCanSpawnHere(n10, n11, n12)) {
                                final double n15 = this.worldObj.random.nextDouble() * 360.0f;
                                entity2.setPositionAndRotation(n10, n11, n12, n15, 0.0f);
                                ++n3;
                                this.worldObj.entityJoinedWorld(entity2);
                            }
                        }
                    }
                }
                j = n16 + n3;
            }
        }*/
    }
}
