package net.minecraft.game.recipe;

import net.minecraft.game.item.ItemStack;
import net.minecraft.game.item.Item;
import net.minecraft.game.block.Block;

public final class RecipesOreBlocks {
    private Object[][] recipeItems;
    
    public RecipesOreBlocks() {
        this.recipeItems = new Object[][] { { Block.blockGold, Item.ingotGold }, { Block.blockSteel, Item.ingotIron }, { Block.blockDiamond, Item.diamond } };
    }
    
    public final void addRecipe(final CraftingManager craftingManager) {
        for (int i = 0; i < this.recipeItems.length; ++i) {
            final Block block = (Block)this.recipeItems[i][0];
            final Item item = (Item)this.recipeItems[i][1];
            craftingManager.addRecipe(new ItemStack(block), "###", "###", "###", '#', item);
            craftingManager.addRecipe(new ItemStack(item, 9), "#", '#', block);
        }
    }
}
