package net.minecraft.client.gui;

import org.lwjgl.opengl.GL11;

public final class GuiGameOver extends GuiScreen {
    @Override
    public final void initGui() {
        this.controlList.clear();
        this.controlList.add(new GuiButton(1, this.width / 2 - 100, this.height / 4 + 72, "Generate new level..."));
        this.controlList.add(new GuiButton(2, this.width / 2 - 100, this.height / 4 + 96, "Load level.."));
        if (this.mc.session == null) {
            ((GuiButton)this.controlList.get(1)).enabled = false;
        }
    }
    
    @Override
    protected final void keyTyped(final char character, final int integer) {
    }
    
    @Override
    protected final void actionPerformed(final GuiButton r) {
        if (r.id == 0) {
            this.mc.displayGuiScreen(new GuiOptions(this, this.mc.gameSettings));
        }
        if (r.id == 1) {
            this.mc.displayGuiScreen(new GuiLevelType(this));
        }
        if (this.mc.session != null && r.id == 2) {
            this.mc.displayGuiScreen(new GuiLoadLevelScreen(this));
        }
    }
    
    @Override
    public final void drawScreen(final int xSize_lo, final int ySize_lo, final double double3) {
        Gui.drawGradientRect(0, 0, this.width, this.height, 1615855616, -1602211792);
        GL11.glPushMatrix();
        GL11.glScaled(2.0f, 2.0f, 2.0f);
        Gui.drawCenteredString(this.fontRenderer, "Game over!", this.width / 2 / 2, 30, 16777215);
        GL11.glPopMatrix();
        Gui.drawCenteredString(this.fontRenderer, new StringBuilder().append("Score: &e").append(this.mc.thePlayer.getScore).toString(), this.width / 2, 100, 16777215);
        super.drawScreen(xSize_lo, ySize_lo, double3);
    }
    
    @Override
    public final boolean doesGuiPauseGame() {
        return false;
    }
}
