package net.minecraft.client.gui;

import net.minecraft.game.item.ItemArmor;
import net.minecraft.game.item.ItemStack;
import net.minecraft.client.inventory.IInventory;

final class SlotArmor extends Slot {
    private /* synthetic */ int armorType;
    
    SlotArmor(final GuiInventory f, final GuiContainer j, final IInventory b, final int integer4, final int integer5, final int integer6, final int armorType) {
        super(j, b, integer4, 8, integer6);
    	this.armorType = armorType;
    }
    
    @Override
    public final boolean isItemValid(final ItemStack k) {
        return k.getItem() instanceof ItemArmor && ((ItemArmor)k.getItem()).armorType == this.armorType;
    }
    
    @Override
    public final int getBackgroundIconIndex() {
        return 15 + (this.armorType << 4);
    }
}
