package net.minecraft.client.renderer;

import net.minecraft.game.entity.EntityLiving;
import net.minecraft.game.entity.player.EntityPlayer;
import java.util.Comparator;

public final class ChunkDistanceComparator implements Comparator {
    private EntityPlayer entityplayer;
    
    public ChunkDistanceComparator(final EntityPlayer entityPlayer) {
        this.entityplayer = entityPlayer;
    }
    
    public final int compare(Object obj, Object obj2) {
        return ((WorldRenderer) obj).distanceToEntitySquared(this.entityplayer) < ((WorldRenderer) obj2).distanceToEntitySquared(this.entityplayer) ? -1 : 1;
    }
}
