package net.minecraft.client.renderer.entity;

import net.minecraft.game.entity.animal.EntitySheep;
import net.minecraft.game.entity.EntityLiving;
import net.minecraft.client.model.ModelBase;

public final class RenderSheep extends RenderLiving {
    public RenderSheep(final ModelBase modelBase, final ModelBase modelBase2, final double double3) {
        super(modelBase, 0.7f);
        this.setRenderPassModel(modelBase2);
    }
    public final boolean shouldRenderPass(EntityLiving entity, int i) {
        EntitySheep sheep = (EntitySheep) entity;
        loadTexture("/mob/sheep_fur.png");
        return i == 0 && !sheep.sheared;
    }
}
