package net.minecraft.game.block;

import net.minecraft.game.item.Item;
import java.util.Random;

public final class BlockGravel extends BlockSand {
    public BlockGravel(final int blockID, final int textureSlot) {
        super(13, 19);
    }
    
    @Override
    public final int idDropped(final int integer, final Random random) {
        if (random.nextInt(10) == 0) {
            return Item.flint.shiftedIndex;
        }
        return this.blockID;
    }
}
