package net.minecraft.game.item;

import net.minecraft.game.block.Block;

public final class ItemSpade extends ItemTool {
    private static Block[] blocksEffectiveAgainst;
    
    public ItemSpade(final int itemID, final int harvestLevel) {
        super(itemID, 1, harvestLevel, ItemSpade.blocksEffectiveAgainst);
    }
    
    static {
        ItemSpade.blocksEffectiveAgainst = new Block[] { Block.grass, Block.dirt, Block.sand, Block.gravel };
    }
}
