package net.minecraft.game.level;

import net.minecraft.game.entity.Entity;

public interface IWorldAccess {
    void markBlockAndNeighborsNeedsUpdate(final long integer1, final long integer2, final long integer3);
    
    void markBlockRangeNeedsUpdate(final long integer1, final long integer2, final long integer3, final long integer4, final long integer5, final long integer6);
    
    void loadRenderers();
    
    void playSound(final String string, final double double2, final double double3, final double double4, final double double5, final double double6);
    
    void spawnParticle(final String string, final double double2, final double double3, final double double4, final double double5, final double double6, final double double7);
    
    void playMusic(final String string, final double double2, final double double3, final double double4, final double double5);
    
    void obtainEntitySkin(final Entity player);
    
    void releaseEntitySkin(final Entity player);
    
    void updateAllRenderers();
}
